Paycose Docs
E2ECreate Meters
POST/meters

Twilio SMS sent

Meter for outbound SMS counts via Twilio.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/meters/' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}' \
  -d '{
  "display_name": "Twilio SMS sent",
  "event_name": "twilio_sms_sent",
  "aggregation": "count",
  "event_time_window": "day",
  "metadata": {
    "vendor": "Twilio",
    "channel": "sms",
    "unit": "message"
  },
  "labels": [
    "<string>"
  ]
}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Body

NameTypeValue
display_namestringTwilio SMS sent
event_namestringtwilio_sms_sent
aggregationstringcount
event_time_windowstringday
metadataobject{…}
labelsarray[1]
{
  "display_name": "Twilio SMS sent",
  "event_name": "twilio_sms_sent",
  "aggregation": "count",
  "event_time_window": "day",
  "metadata": {
    "vendor": "Twilio",
    "channel": "sms",
    "unit": "message"
  },
  "labels": [
    "<string>"
  ]
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "resource": "<string>",
  "created_at": "<RFC3339 timestamp>",
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "next_action": [
    {
      "type": "<string>",
      "title": "<string>",
      "description": "<string>",
      "i18n_key": "<string>",
      "url": "<string>",
      "client_secret": "<string>",
      "payment_method": "<string>",
      "qr_data": "<string>"
    }
  ]
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page